import { LeftOutlined } from '@ant-design/icons';
import { history } from '@umijs/max';
import styles from './index.less';

export default (props) => {
  const { children, returnable = false } = props;

  const handleOnClick = () => {
    returnable && history.back();
  };

  return (
    <div className={styles.titleBox} onClick={handleOnClick}>
      {returnable ? (
        <LeftOutlined style={{ fontSize: 22, cursor: 'pointer' }} />
      ) : (
        <span className={styles.titleBar} />
      )}

      <span
        className={styles.title}
        style={returnable ? { cursor: 'pointer' } : null}
      >
        {children}
      </span>
    </div>
  );
};
