import PageContent from '@/components/PageContent';
import TabsContent from '@/components/TabsContent';
import { getNotificationList } from '@/services/message';
import { useParams, useRequest } from '@umijs/max';
import { Button } from 'antd';
import dayjs from 'dayjs';
import styles from './index.less';
const icon = require('@/assets/message/message01.png');

const MessageCenter = () => {
  const { projectId } = useParams();
  const { data, run, loading } = useRequest(getNotificationList, {
    defaultParams: [{ projectId, msgType: 11 }], //, msgType: 工况：11， 自检：12
  });
  console.log(data);

  const handleTabsChange = (tab) => {
    tab == '1'
      ? run({ projectId, msgType: 11 })
      : run({ projectId, msgType: 12 });
  };

  const renderItem = (item) => {
    const time = item?.CreatedOn ? dayjs(item?.CreatedOn) : '';
    return (
      <div className={`card-box ${styles.itemContent}`}>
        <img style={{ width: '30px', height: '30px' }} src={icon} />
        <div>
          <div style={{ marginBottom: '30px' }}>
            那么大了可能圣诞快乐那算啦到哪啦凯撒到啦
          </div>
          <div>{time}</div>
        </div>
        <div className={styles.right}>
          {item?.ReadStatus && <div className={styles.redPoint} />}
          <Button type="primary">查看</Button>
        </div>
      </div>
    );
  };
  return (
    <PageContent>
      <TabsContent
        center={false}
        defaultActiveKey="1"
        onChange={handleTabsChange}
        items={[
          {
            label: `水厂工况`,
            key: '1',
            children: data?.list?.map((item) => renderItem(item)),
          },
          {
            label: `系统自检`,
            key: '2',
            children: data?.list?.map((item) => renderItem(item)),
          },
        ]}
      />
      <div className={styles.allRead}>全部已读</div>
    </PageContent>
  );
};
export default MessageCenter;
